{
"id": "<string>",
"type": "AGENTIC_CHECKOUT_UPDATED",
"data": {
"id": "<string>",
"mandateId": "<string>",
"orderId": "<string>",
"nextAction": {
"type": "REDIRECT",
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
},
"failureReason": {
"message": "<string>"
},
"quoteId": "<string>",
"enrollmentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Notifications
Agentic checkout updated
Fired when an Agentic Payments checkout reaches a new status (e.g., completed, expired). The payload matches GET /agentic/checkouts/:id.
WEBHOOK
AGENTIC_CHECKOUT_UPDATED
{
"id": "<string>",
"type": "AGENTIC_CHECKOUT_UPDATED",
"data": {
"id": "<string>",
"mandateId": "<string>",
"orderId": "<string>",
"nextAction": {
"type": "REDIRECT",
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
},
"failureReason": {
"message": "<string>"
},
"quoteId": "<string>",
"enrollmentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}